# i3wm segments

`powerline.segments.i3wm.``mode`(names={u'default': None})

  Returns current i3 mode

  Parameters: | names (dict) – Specifies the string to show for various modes. Use `null` to hide a mode (`default` is hidden by default).

  Highligh groups used: `mode`

`powerline.segments.i3wm.``workspaces`(strip=0, output=None, only_show=None)

  Return list of used workspaces

  Parameters:

  - only_show (list) – Specifies which workspaces to show. Valid entries are `"visible"`, `"urgent"` and `"focused"`. If omitted or `null` all workspaces are shown.
  - output (str) – If specified, only workspaces on this output are shown.
  - strip (int) – Specifies how many characters from the front of each workspace name should be stripped (e.g. to remove workspace numbers). Defaults to zero.

  Highlight groups used: `workspace` or `w_visible`, `workspace` or `w_focused`, `workspace` or `w_urgent`.